
Auto Multiple Choice - Feature # 638: Annotations sur la partie sujet des fichiers corrigés avec feuille 
de réponse séparée

Status: New Priority: Normal
Author: Mathieu Mathieu Category:
Created: 03/16/2019 Assignee:
Updated: 09/13/2021 Due date:
Description: Actuellement lorsque l'on génère les fichiers corrigés en incluant le sujet avec la feuille de réponse séparée, 

celui-ci ne contient que les bonnes réponses.

Pour voir les questions exactes auquel l'élève n'a pas su répondre, ainsi que les erreurs effectuées, il faut 
manuellement comparer la feuille de réponse séparée avec le sujet.

Serait-il possible d'avoir une option afin que les annotations soient également présentes sur le sujet ? Merci.

History
03/16/2019 04:16 pm - Frédéric Bréal
Je n'utilise pas la feuille de réponses séparée mais i me semble que votre demande est déjà implantée depuis la version 1.3.
Voici l'extrait de la documentation
<pre>
Options proposées en mode ensemble
    Seulement la feuille de réponses : les feuilles de réponses seront annotées.
    Sujet avec feuille de réponses : les feuilles de réponses seront annotées et le sujet vierge sera inclus au fichier pdf.
    Sujet et feuille de réponses : les feuilles de réponses seront annotées et le sujet corrigé sera inclus.
</pre>

Je m'aperçois qu'elle n'est ne correspond plus à l'interface, il faut choisir avec sujet.

03/16/2019 04:37 pm - Mathieu Mathieu
Gérard Carpeaux wrote:
> Je n'utilise pas la feuille de réponses séparée mais i me semble que votre demande est déjà implantée depuis la version 1.3.
> Voici l'extrait de la documentation
> [...]
> 
> Je m'aperçois qu'elle n'est ne correspond plus à l'interface, il faut choisir avec sujet.

Le troisième choix n'indique que les bonnes réponses. Ce serait super si on avait les même annotations que sur la feuille réponse (réponse juste 
donnée par l'élève, réponse fausse donnée par l'élève, bonne réponse, etc.)

03/16/2019 04:44 pm - Frédéric Bréal
- File Tous_etudiants.pdf added

En pièce jointe, j'obtiens ce que vous souhaitez il me semble.
J'ai sélectionné *avec sujet* dans l'onglet *rapport* dans la partie *copies corrigées* en cliquant sur le triangle au-dessus de *Modèle de nom de 
fichier* (qui est en gris clair).

03/16/2019 05:35 pm - Mathieu Mathieu
Gérard Carpeaux wrote:
> En pièce jointe, j'obtiens ce que vous souhaitez il me semble.
> J'ai sélectionné *avec sujet* dans l'onglet *rapport* dans la partie *copies corrigées* en cliquant sur le triangle au-dessus de *Modèle de nom de 
fichier* (qui est en gris clair).
Chez moi :

*avec sujet* : le sujet est vierge et non annoté, la feuille séparée est corrigée et annoté

*avec sujet corrigé* : le sujet contient les bonnes réponses mais n'est pas annoté, la feuille séparée est corrigée et annoté

03/16/2019 05:56 pm - Frédéric Bréal
Ce que vous décrivez correspond bien à la documentation que j'avais rédigée donc vous devez avoir la version 1.3.
J'ai la version 1.4. Il y a dû avoir des modifications entre les deux versions mais je les avais pas vues avant votre message.

03/16/2019 06:11 pm - Mathieu Mathieu
Gérard Carpeaux wrote:
> Ce que vous décrivez correspond bien à la documentation que j'avais rédigée donc vous devez avoir la version 1.3.
> J'ai la version 1.4. Il y a dû avoir des modifications entre les deux versions mais je les avais pas vues avant votre message.

Je suis pourtant aussi sur la 1.4

Peut être est-ce lié à l'utilisation de certaines commandes ?

j'utilise \exemplaire{1}{    et \restituegroupe{general}

03/16/2019 06:25 pm - Frédéric Bréal
- File Tous_etudiants.pdf added

c'est étrange.
Je viens de tester avec le fichier modèle en mettant 10 dans l'interface, corrigeant 7 copies et j’obtiens le bon fichier.

Travaillez-vous sur un sujet donné aux élèves ou un fichier  modèle ?

03/16/2019 06:26 pm - Frédéric Bréal
J'ai la version 1.4.0 sur le dépôt ubuntu test

03/16/2019 06:51 pm - Mathieu Mathieu
Gérard Carpeaux wrote:
> c'est étrange.
> Je viens de tester avec le fichier modèle en mettant 10 dans l'interface, corrigeant 7 copies et j’obtiens le bon fichier.
> 
> Travaillez-vous sur un sujet donné aux élèves ou un fichier  modèle ?

Je travail sur un vrai sujet.

Voici le code source qui s'auto détruira dans 24h : 
https://framabin.org/p/?8bce6e50c18c0cbd#pMiaH93SfRSTaFZgQKESLc1tm4BQ2wqIO+1waB9F020=

03/16/2019 08:36 pm - Alexis Bienvenüe
- Status changed from New to Feedback

> Voici le code source qui s'auto détruira dans 24h
Afin de nous aider à cerner le problème, merci de préparer un exemple complet (qui peut servir tel quel) minimal (le plus petit possible) qui montre le 
problème.
03/17/2019 05:52 am - Mathieu Mathieu
- File bug2.zip added

Alexis Bienvenüe wrote:
> > Voici le code source qui s'auto détruira dans 24h
> Afin de nous aider à cerner le problème, merci de préparer un exemple complet (qui peut servir tel quel) minimal (le plus petit possible) qui montre le 
problème.

<pre>
\documentclass[a4paper,french]{article}

\usepackage[french]{babel}
\usepackage[cp1252]{inputenc}

%\usepackage[cp1252]{inputenc}    
\usepackage[T1]{fontenc}

\usepackage[np]{numprint}

\usepackage{fourier}

%\usepackage{fp}

\usepackage[francais,bloc,completemulti,ensemble,automarks]{automultiplechoice} %noshufflegroups

\usepackage{multicol}
\usepackage{tabularx}

\begin{document}

\setlength\parindent{0mm}

\AMCrandomseed{31415}

\setdefaultgroupmode{withoutreplacement}

\element{general}{
  \begin{question}{Q1} dgsdfgsdgfg
	\begin{reponseshoriz}
		\bonne{$7$}
		\mauvaise{$2$}
		\mauvaise{$3$}
		\mauvaise{$5$}
		\mauvaise{$6$}
	\end{reponseshoriz}
  \end{question}
}

  \exemplaire{1}{    
%%% debut de l'en-tête des copies :    
%
\begin{center} 

\huge \decofourleft{} \textbf{Devoir Surveillé} \decofourright
\end{center}

\vspace{1ex}

%%% fin de l'en-tête

\restituegroupe{general}

\AMClabel{lastpage}

\AMCcleardoublepage

% \AMCaddpagesto{3}

\AMCdebutFormulaire

%%% début de l'en-tête de la feuille de réponses

{\large\bf Feuille de réponses :}
\hfill \champnom{\fbox{
    \begin{minipage}{.5\linewidth}
      Nom, prénom et classe :
      
      \vspace*{.5cm}\dotfill
      \vspace*{1mm}
    \end{minipage}
  }}

%%% fin de l'en-tête de la feuille de réponses
%\vfill
\begin{center}
\begin{multicols}{2}
\formulaire
\end{multicols}

\end{center}
%\vfill

%\AMCassociation{\id}
% \AMCaddpagesto{5}

%\AMCcleardoublepage

}

\end{document}

</pre>

03/17/2019 11:05 am - Frédéric Bréal
C'est @automark@ dans le préambule qui perturbe l'annotation.
Il faut l'enlever, recompiler le sujet refaire la correction pour qu'AMC puisse enregistrer la position des cases.

J'ai mis du temps à trouver mais maintenant cela me paraît évident car les cercles disparaissent donc les positions des cases ne sont pas 
enregistrées.l

> Pour Alexis : 
> y a-t-il une possibilité d'une modification du code pour AMC puisse enregistrer les positions des cases même si l'auteur ajoute @automark@ ? Si 
c'est impossible, j'ajouterai un avertissement dans la documentation.

03/17/2019 11:44 am - Mathieu Mathieu
Gérard Carpeaux wrote:
> C'est @automark@ dans le préambule qui perturbe l'annotation.
> Il faut l'enlever, recompiler le sujet refaire la correction pour qu'AMC puisse enregistrer la position des cases.
> 
> J'ai mis du temps à trouver mais maintenant cela me paraît évident car les cercles disparaissent donc les positions des cases ne sont pas 
enregistrées.l
> 
> > Pour Alexis : 
> > y a-t-il une possibilité d'une modification du code pour AMC puisse enregistrer les positions des cases même si l'auteur ajoute @automark@ ? Si 
c'est impossible, j'ajouterai un avertissement dans la documentation.

Ah bien vu !

03/17/2019 03:04 pm - Alexis Bienvenüe
- Status changed from Feedback to New

- Target version set to 1.5.0

> y a-t-il une possibilité d'une modification du code pour AMC puisse enregistrer les positions des cases même si l'auteur ajoute automark ?
Oui ça devrait pouvoir se faire un jour.

09/13/2021 04:04 pm - Alexis Bienvenüe
- Target version changed from 1.5.0 to 1.6.0

Files
Tous_etudiants.pdf 87.3 kB 03/16/2019 Frédéric Bréal

07/03/2025 5/6



Tous_etudiants.pdf 122.7 kB 03/16/2019 Frédéric Bréal
bug2.zip 447.5 kB 03/17/2019 Mathieu Mathieu
